diff -Naur gjukebox/scripts/getpictures.pl wrkingjukbox/scripts/getpictures.pl
--- getpictures.pl	Fri Nov  2 07:30:25 2001
+++ getpictures.pl	Wed Dec  5 11:21:51 2001
@@ -195,7 +195,7 @@
     $imgdir = "$SITE/cover_art/";
 }
 
-mkdir($imgdir,0666);
+mkdir($imgdir,0755);
 
 if($cleanup) {
     system ("rm -r $cachedir") if ($cachedir =~ m%^/tmp/%);
@@ -316,6 +316,7 @@
 sub reducewords {
     my ($str)=@_;
     $str =~ s/&/and/i; # if we have an & character, convert it to and ( & may confuse the search engine )
+    my $saved_str = $str; # Save Sting In case we remove too much
     $str =~ s/(\b(disc|disk))\s?\d?/ /i; # remove disc numbers from multi-cd albums
     $str =~ s/\bvol\s?\d?/ /i; # and again
     $str =~ s/\bcd\s?\d?/ /i; # and again
@@ -324,6 +325,7 @@
 
     $str =~ s/\s+$//g;    # strip trailing spaces
     $str =~ s/^\s+//g;    # strip leading spaces
+    $str =~ s/^(\s+|)$/$saved_str/g;  #If we have an empty string then keep the disc num,soundtrack and etc.
     return $str;
 }
 
@@ -358,9 +360,9 @@
     my $album = shift or die "need album"; 
 
     my $dirAlbum = "$imgdir".unSpecial($artist);
-    mkdir( $dirAlbum,0666 ); 
+    mkdir( $dirAlbum,0755 ); 
     $dirAlbum .= "/".unSpecial($album)."/";
-    mkdir( $dirAlbum,0666 ); 
+    mkdir( $dirAlbum,0755 ); 
 
     return $dirAlbum;
 }
